Next: system, Previous: gettimeofday, Up: List of Supported Calls [Contents][Index]

#### isatty

Synopsis:

      int isatty(int fd);

Request:

  ‘`Fisatty,fd`’

Return value:

  Returns 1 if fd refers to the GDB console, 0 otherwise.

Errors:
  `EINTR`

    The call was interrupted by the user.

Note that the `isatty` call is treated as a special case: it returns 1 to the target if the file descriptor is attached to the GDB console, 0 otherwise. Implementing through system calls would require implementing `ioctl` and would be more complex than needed.